﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;


public class Customer_Modified : INotifyPropertyChanged
{
    int custId;
    string companyName;
    string region;
    string phone;

    public event PropertyChangedEventHandler PropertyChanged;
       
    public int CustomerId
    {
        get { return custId; }
        set
        {
            custId = value;
            NotifyPropertyChanged("CustId");
        }
    }

    public string CompanyName
    {
        get { return companyName; }
        set
        {
            companyName = value;
            NotifyPropertyChanged("CompanyName");
        }
    }

    public string Region
    {
        get { return region; }
        set
        {
            region = value;
            NotifyPropertyChanged("Region");
        }
    }

    public string Phone
    {
        get { return phone; }
        set 
        { 
            phone = value;
            NotifyPropertyChanged("Phone");
        }
    }

    public void NotifyPropertyChanged(string propertyName)
    {
        if (PropertyChanged != null)
        {
            PropertyChanged(this,
                new PropertyChangedEventArgs(propertyName));
        }
    }

    public Customer_Modified()
    {
        CustomerId = 0;
        CompanyName = "";
        Region = "";
        Phone = "";
    }

    public Customer_Modified(int number, string str1, string str2, string str3)
    {
        CustomerId = number;
        CompanyName = str1;
        Region = str2;
        Phone = str3;
    }
}

